Index: branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 1185)
@@ -915,44 +915,22 @@
         }
         m_pcEntropyCoder->encodeSkipFlag( pcCU, 0, true );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
         m_pcEntropyCoder->encodeDIS(pcCU, 0, true );
         if(!pcCU->getDISFlag(uiAbsPartIdx))
-#else
-#if H_3D_SINGLE_DEPTH
-        m_pcEntropyCoder->encodeSingleDepthMode(pcCU, 0, true );
-        if(!pcCU->getSingleDepthFlag(uiAbsPartIdx))
-#endif
 #endif
           m_pcEntropyCoder->encodePredMode( pcCU, 0, true );
       }
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
       else
       {
         m_pcEntropyCoder->encodeDIS(pcCU, 0, true );
       }
-#else
-#if H_3D_SINGLE_DEPTH
-      else
-      {
-        m_pcEntropyCoder->encodeSingleDepthMode(pcCU, 0, true );
-      }
-#endif
-#endif
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#endif
+#if H_3D
       if(!pcCU->getDISFlag(uiAbsPartIdx))
       {
-#else
-#if H_3D_SINGLE_DEPTH
-      if(!pcCU->getSingleDepthFlag(uiAbsPartIdx))
-      {
-#endif
 #endif
         m_pcEntropyCoder  ->encodePartSize( pcCU, 0, pcCU->getDepth(0), true );
 
-#if !HHI_MOVE_SYN_K0052
-#if H_3D_DIM_SDC
-        m_pcEntropyCoder->encodeSDCFlag( pcCU, 0, true );
-#endif
-#endif
         if (pcCU->isIntra(0) && pcCU->getPartitionSize(0) == SIZE_2Nx2N )
         {
@@ -960,28 +938,17 @@
           if ( pcCU->getIPCMFlag (0))
           {
-#if HHI_MOVE_SYN_K0052
 #if H_3D_DIM_SDC
             m_pcEntropyCoder->encodeSDCFlag( pcCU, 0, true );
 #endif
-#endif
             return;
           }
         }
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
-      }
-#else
-#if H_3D_SINGLE_DEPTH
-      }
-#endif
-#endif
-    }
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
+      }
+#endif
+    }
+#if H_3D
     if(!pcCU->getDISFlag(uiAbsPartIdx))
     {
-#else
-#if H_3D_SINGLE_DEPTH
-    if(!pcCU->getSingleDepthFlag(uiAbsPartIdx))
-    {
-#endif
 #endif
       // luma prediction mode
@@ -992,9 +959,5 @@
           m_pcEntropyCoder->encodeIntraDirModeLuma ( pcCU, 0 );
 #if H_3D_DIM_SDC
-#if HHI_MOVE_SYN_K0052
-#if H_3D_DIM_SDC
           m_pcEntropyCoder->encodeSDCFlag( pcCU, 0, true );
-#endif
-#endif
           if( pcCU->getSlice()->getIsDepth() && ( !pcCU->getSDCFlag( 0 ) ) && getDimType( pcCU->getLumaIntraDir( 0 ) ) < DIM_NUM_TYPE ) 
           {
@@ -1013,12 +976,9 @@
           {
             m_pcEntropyCoder->encodeIntraDirModeLuma ( pcCU, uiPart * uiQNumParts );
-
-#if HHI_MOVE_SYN_K0052
+#if H_3D_SDC
           }
           m_pcEntropyCoder->encodeSDCFlag( pcCU, 0, true );
           for( UInt uiPart = 0; uiPart < 4; uiPart++ )
           {
-#endif
-#if H_3D_DIM_SDC
             if( pcCU->getSlice()->getIsDepth() && ( !pcCU->getSDCFlag( uiPart * uiQNumParts ) ) && getDimType( pcCU->getLumaIntraDir( uiPart * uiQNumParts ) ) < DIM_NUM_TYPE ) 
             {
@@ -1032,10 +992,8 @@
           m_pcEntropyCoder->encodeIntraDirModeLuma ( pcCU, uiAbsPartIdx );
 #if H_3D_DIM_SDC
-#if HHI_MOVE_SYN_K0052
           if( uiAbsPartIdx == 0 )  
           {
             m_pcEntropyCoder->encodeSDCFlag( pcCU, 0, true );
           }
-#endif
           if( pcCU->getSlice()->getIsDepth() && ( !pcCU->getSDCFlag( uiAbsPartIdx ) ) && getDimType( pcCU->getLumaIntraDir( uiAbsPartIdx ) ) < DIM_NUM_TYPE ) 
           {
@@ -1044,12 +1002,8 @@
 #endif
         }
-      }
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
-    }
-#else
-#if H_3D_SINGLE_DEPTH
-    }
-#endif
-#endif
+#if H_3D
+      }
+#endif
+    }
   }
   if( bChroma )
@@ -1914,5 +1868,5 @@
 }
 
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
 Void TEncSearch::xIntraCodingDIS( TComDataCU* pcCU, UInt uiAbsPartIdx, TComYuv* pcOrgYuv, TComYuv* pcPredYuv, Dist& ruiDist, Double& dRDCost, UInt uiPredMode )
 {
@@ -2006,69 +1960,5 @@
     dRDCost = m_pcRdCost->calcRdCost( uiBits, ruiDist );
 }
-#else
-#if H_3D_SINGLE_DEPTH
-Void TEncSearch::xIntraCodingSingleDepth( TComDataCU* pcCU, UInt uiAbsPartIdx, TComYuv* pcOrgYuv, TComYuv* pcPredYuv, Dist& ruiDist, Double& dRDCost, Int iTestDepthIdx, Pel *DepthNeighbor )
-{
-  UInt    uiWidth           = pcCU     ->getWidth   ( 0 );
-  UInt    uiHeight          = pcCU     ->getHeight  ( 0 );
-  UInt    uiStride          = pcOrgYuv ->getStride  ();
-  Pel*    piOrg             = pcOrgYuv ->getLumaAddr( uiAbsPartIdx );
-  Pel*    piPred            = pcPredYuv->getLumaAddr( uiAbsPartIdx );
-
-  AOF( uiWidth == uiHeight );
-  AOF( uiAbsPartIdx == 0 );
-  pcCU->setSingleDepthValueSubParts((Pel)iTestDepthIdx,uiAbsPartIdx, 0, pcCU->getDepth(0));  
-  //===== reconstruction =====
-
-  for( UInt uiY = 0; uiY < uiHeight; uiY++ )
-  {
-    for( UInt uiX = 0; uiX < uiWidth; uiX++ )
-    {
-    piPred[ uiX ] = DepthNeighbor[iTestDepthIdx];
-    }
-    piPred     += uiStride;
-  }
-
-  // clear UV
-  UInt  uiStrideC     = pcPredYuv->getCStride();
-  Pel   *pRecCb       = pcPredYuv->getCbAddr();
-  Pel   *pRecCr       = pcPredYuv->getCrAddr();
-
-  for (Int y=0; y<uiHeight/2; y++)
-  {
-    for (Int x=0; x<uiWidth/2; x++)
-    {
-      pRecCb[x] = 1<<(g_bitDepthC-1);
-      pRecCr[x] = 1<<(g_bitDepthC-1);
-    }
-
-    pRecCb += uiStrideC;
-    pRecCr += uiStrideC;
-  }
-
-  piPred            = pcPredYuv->getLumaAddr( uiAbsPartIdx );
-  //===== determine distortion =====
-#if H_3D_VSO
-  if ( m_pcRdCost->getUseVSO() )
-    ruiDist = m_pcRdCost->getDistPartVSO  ( pcCU, uiAbsPartIdx, piPred, uiStride, piOrg, uiStride, uiWidth, uiHeight, false );
-  else
-#endif
-    ruiDist = m_pcRdCost->getDistPart(g_bitDepthY, piPred, uiStride, piOrg, uiStride, uiWidth, uiHeight );
-
-  //===== determine rate and r-d cost =====
-  m_pcEntropyCoder->resetBits();
-  m_pcEntropyCoder->encodeSingleDepthMode( pcCU, 0, true );
-  UInt uiBits = m_pcEntropyCoder->getNumberOfWrittenBits();
-
-#if H_3D_VSO
-  if ( m_pcRdCost->getUseLambdaScaleVSO())
-    dRDCost = m_pcRdCost->calcRdCostVSO( uiBits, ruiDist );
-  else
-#endif
-    dRDCost = m_pcRdCost->calcRdCost( uiBits, ruiDist );
-}
-#endif
-#endif
-
+#endif
 #if H_3D_DIM_SDC
 Void TEncSearch::xIntraCodingSDC( TComDataCU* pcCU, UInt uiAbsPartIdx, TComYuv* pcOrgYuv, TComYuv* pcPredYuv, Dist& ruiDist, Double& dRDCost, Bool bZeroResidual, Int iSDCDeltaResi  )
@@ -2318,11 +2208,8 @@
 
   m_pcEntropyCoder->encodePartSize( pcCU, 0, pcCU->getDepth( 0 ), true );
-#if !HHI_MOVE_SYN_K0052
-  m_pcEntropyCoder->encodeSDCFlag( pcCU, 0, true );
-#endif
 
   // encode pred direction + DC residual data
   m_pcEntropyCoder->encodePredInfo( pcCU, 0, true );
-#if HHI_MOVE_SYN_K0052
+#if H_3D_SDC
   m_pcEntropyCoder->encodeSDCFlag( pcCU, 0, true );
 #endif
@@ -3021,6 +2908,5 @@
   pcCU->setChromIntraDirSubParts( uiBestMode, 0, pcCU->getDepth( 0 ) );
 }
-
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
 Void TEncSearch::estIntraPredDIS( TComDataCU* pcCU, 
                                   TComYuv*    pcOrgYuv, 
@@ -3081,96 +2967,5 @@
   pcCU->getTotalDistortion() = uiBestDist;
 }
-#else
-#if H_3D_SINGLE_DEPTH
-Void 
-TEncSearch::estIntraPredSingleDepth( TComDataCU* pcCU, 
-                           TComYuv*    pcOrgYuv, 
-                           TComYuv*    pcPredYuv, 
-                           TComYuv*    pcResiYuv, 
-                           TComYuv*    pcRecoYuv,
-                           UInt&       ruiDistC,
-                           Bool        bLumaOnly )
-{
-  UInt    uiDepth        = pcCU->getDepth(0);
-  UInt    uiWidth        = pcCU->getWidth (0);
-  UInt    uiHeight       = pcCU->getHeight(0);
-
-
-  Pel* piOrg         = pcOrgYuv ->getLumaAddr( 0, uiWidth );
-  UInt uiStride      = pcPredYuv->getStride();
-
-  Int index=0;
-  Pel testDepth;
-  Pel DepthNeighbours[2];
-  //construction of depth candidates
-  for( Int i = 0; (i < 2)  && (index<SINGLE_DEPTH_MODE_CAND_LIST_SIZE) ; i++ )
-  {
-    if(!pcCU->getNeighDepth (0, 0, &testDepth, i))
-    {
-      continue;
-    }
-    DepthNeighbours[index]=testDepth;
-    index++;
-  }
-
-  if(index==0)
-  {
-    DepthNeighbours[index]=1<<(g_bitDepthY-1);
-    index++;
-  }
-
-  if(index==1)
-  {
-    DepthNeighbours[index]=ClipY(DepthNeighbours[0] + 1 );
-    index++;
-  }
-
-
-  Dist   uiDist = 0;
-  Double dCost   = 0.0;
-  Dist    uiBestDist = 0;
-  Double  dBestCost   = MAX_DOUBLE;
-  Pel     pBestSingleDepthValue = 0;
-
-  for( Int testdepthidx = 0; testdepthidx < index ; testdepthidx++ )
-  {
-      // set context models
-      m_pcRDGoOnSbacCoder->load( m_pppcRDSbacCoder[uiDepth][CI_CURR_BEST] );
-
-      // determine residual for partition
-      uiDist = 0;
-      dCost   = 0.0;
-#if H_3D_VSO // M36
-      if( m_pcRdCost->getUseRenModel() )
-      {
-        m_pcRdCost->setRenModelData( pcCU, 0, piOrg, uiStride, uiWidth, uiHeight );
-      }
-#endif
-      xIntraCodingSingleDepth(pcCU, 0, pcOrgYuv, pcPredYuv, uiDist, dCost, testdepthidx, DepthNeighbours);
-      // check r-d cost
-      if( dCost < dBestCost )
-      {
-        uiBestDist = uiDist;
-        dBestCost   = dCost;
-        pBestSingleDepthValue = pcCU->getSingleDepthValue(0);
-        // copy reconstruction
-        pcPredYuv->copyPartToPartYuv(pcRecoYuv, 0, uiWidth, uiHeight);
-      }
-  } // depth index loop
-
-
-  pcCU->setSingleDepthValueSubParts((Pel)pBestSingleDepthValue,0, 0, uiDepth);
-  assert(pBestSingleDepthValue>=0);
-
-  //===== reset context models =====
-  m_pcRDGoOnSbacCoder->load(m_pppcRDSbacCoder[uiDepth][CI_CURR_BEST]);
-  
-  //===== set distortion (rate and r-d costs are determined later) =====
-  pcCU->getTotalDistortion() = uiBestDist;
-}
-
-#endif 
-#endif
-
+#endif
 Void 
 TEncSearch::estIntraPredQT( TComDataCU* pcCU, 
@@ -3337,9 +3132,5 @@
     if( m_pcEncCfg->getIsDepth() && uiWidth >= DIM_MIN_SIZE && uiWidth <= DIM_MAX_SIZE && uiWidth == uiHeight )
     {
-#if TICKET083_IVPFLAG_FIX
       if( bOnlyIVP )
-#else
-      if( bOnlyIVP && pcCU->getSlice()->getIntraContourFlag() )
-#endif
       {
         TComWedgelet* dmm4Segmentation = new TComWedgelet( uiWidth, uiHeight );
@@ -5534,5 +5325,5 @@
   TComMv      cMvPred = *pcMvPred;
   
-#if SONY_MV_V_CONST_C0078
+#if H_MV
   Bool bMv_VRng_Restricted = false;
   if( m_pcEncCfg->getUseDisparitySearchRangeRestriction()
@@ -5601,5 +5392,5 @@
 
 
-#if SONY_MV_V_CONST_C0078
+#if H_MV
 Void TEncSearch::xSetSearchRange ( TComDataCU* pcCU, TComMv& cMvPred, Int iSrchRng, TComMv& rcMvSrchRngLT, TComMv& rcMvSrchRngRB, Bool bMv_VRng_Restricted, Int iVerDispSrchRng )
 #else
@@ -5621,5 +5412,5 @@
   rcMvSrchRngRB.setVer( cTmpMvPred.getVer() + (iSrchRng << iMvShift) );
   
-#if SONY_MV_V_CONST_C0078
+#if H_MV
   if ( bMv_VRng_Restricted ) {
     Int iRestrictMvVrange = ( iVerDispSrchRng - 1 ) << iMvShift ; // -1 to consider subpel search
@@ -7369,9 +7160,5 @@
     const UInt uiQTTempAccessLayer = pcCU->getSlice()->getSPS()->getQuadtreeTULog2MaxSize() - uiLog2TrSize;
 
-#if 0 //H_3D_DISABLE_CHROMA
-    Bool  bCodeChroma   = !pcCU->getSlice()->getIsDepth();
-#else
     Bool  bCodeChroma   = true;
-#endif
     UInt  uiTrModeC     = uiTrMode;
     UInt  uiLog2TrSizeC = uiLog2TrSize-1;
@@ -7515,24 +7302,13 @@
     }
     m_pcEntropyCoder->encodeSkipFlag ( pcCU, 0, true );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
     m_pcEntropyCoder->encodeDIS ( pcCU, 0, true );
-#else
-#if H_3D_SINGLE_DEPTH
-    m_pcEntropyCoder->encodeSingleDepthMode ( pcCU, 0, true );
-#endif
 #endif
     m_pcEntropyCoder->encodePredMode( pcCU, 0, true );
     m_pcEntropyCoder->encodePartSize( pcCU, 0, pcCU->getDepth(0), true );
-#if !HHI_MOVE_SYN_K0052
+    m_pcEntropyCoder->encodePredInfo( pcCU, 0, true );
 #if H_3D_DIM_SDC
     m_pcEntropyCoder->encodeSDCFlag( pcCU, 0, true );
 #endif
-#endif 
-    m_pcEntropyCoder->encodePredInfo( pcCU, 0, true );
-#if HHI_MOVE_SYN_K0052
-#if H_3D_DIM_SDC
-    m_pcEntropyCoder->encodeSDCFlag( pcCU, 0, true );
-#endif
-#endif
 #if H_3D_ARP
     m_pcEntropyCoder->encodeARPW( pcCU , 0  );
@@ -7541,5 +7317,5 @@
     m_pcEntropyCoder->encodeICFlag( pcCU, 0, true );
 #endif
-#if HHI_MOVE_SYN_K0052
+#if H_3D
     m_pcEntropyCoder->encodeDBBPFlag( pcCU, 0, true );
 #endif
Index: branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncSearch.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncSearch.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncSearch.h	(revision 1185)
@@ -191,5 +191,5 @@
                                   TComYuv*    pcRecoYuv,
                                   UInt        uiPreCalcDistC );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   Void  estIntraPredDIS        ( TComDataCU* pcCU, 
                                  TComYuv*    pcOrgYuv, 
@@ -199,16 +199,5 @@
                                  UInt&       ruiDistC,
                                  Bool        bLumaOnly );
-#else
-#if H_3D_SINGLE_DEPTH
-  Void  estIntraPredSingleDepth  ( TComDataCU* pcCU, 
-                                  TComYuv*    pcOrgYuv, 
-                                  TComYuv*    pcPredYuv, 
-                                  TComYuv*    pcResiYuv, 
-                                  TComYuv*    pcRecoYuv,
-                                  UInt&       ruiDistC,
-                                  Bool        bLumaOnly );
-#endif
-#endif
-  
+#endif  
   /// encoder estimation - inter prediction (non-skip)
   Void predInterSearch          ( TComDataCU* pcCU,
@@ -364,10 +353,7 @@
                                     UInt         uiAbsPartIdx,
                                     UInt         stateU0V1Both2 );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+
+#if H_3D
   Void xIntraCodingDIS           ( TComDataCU* pcCU, UInt uiAbsPartIdx, TComYuv* pcOrgYuv, TComYuv* pcPredYuv, Dist& ruiDist, Double& dRDCost, UInt uiPredMode );
-#else
-#if H_3D_SINGLE_DEPTH
-  Void xIntraCodingSingleDepth( TComDataCU* pcCU, UInt uiAbsPartIdx, TComYuv* pcOrgYuv, TComYuv* pcPredYuv, Dist& ruiDist, Double& dRDCost, Int iTestDepthIdx, Pel * DepthNeighbor );
-#endif
 #endif
 #if H_3D_DIM
@@ -480,5 +466,5 @@
                                     UInt&         ruiSAD );
   
-#if SONY_MV_V_CONST_C0078
+#if H_MV
   Void xSetSearchRange           (  TComDataCU* pcCU, 
                                     TComMv& cMvPred, 
Index: branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncSlice.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 1185)
@@ -215,9 +215,4 @@
   rpcSlice->setPicOutputFlag( true );
   rpcSlice->setPOC( pocCurr );
-#if !HHI_INTER_COMP_PRED_K0052
-#if H_3D
-    rpcSlice->init3dToolParameters(); 
-#endif
-#endif
 #if H_3D_IC
   rpcSlice->setApplyIC( false );
@@ -612,14 +607,6 @@
   rpcSlice->setSliceSegmentMode     ( m_pcCfg->getSliceSegmentMode()     );
   rpcSlice->setSliceSegmentArgument ( m_pcCfg->getSliceSegmentArgument() );
-#if !HHI_INTER_COMP_PRED_K0052
-#if H_3D_IV_MERGE
-  rpcSlice->setMaxNumMergeCand      ( m_pcCfg->getMaxNumMergeCand()   + ( ( rpcSlice->getMpiFlag( ) || rpcSlice->getIvMvPredFlag( ) || rpcSlice->getViewSynthesisPredFlag( )   ) ? 1 : 0 ));
-#else
-  rpcSlice->setMaxNumMergeCand        ( m_pcCfg->getMaxNumMergeCand()        );
-#endif
-#else
 #if !H_3D
   rpcSlice->setMaxNumMergeCand        ( m_pcCfg->getMaxNumMergeCand()        );
-#endif
 #endif
   xStoreWPparam( pPPS->getUseWP(), pPPS->getWPBiPred() );
Index: branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1185)
@@ -91,5 +91,5 @@
   m_aICEnableNum = NULL;
 #endif
-#if H_3D_ANNEX_SELECTION_FIX
+#if H_3D
   m_cCavlcCoder.setEncTop(this); 
 #endif
@@ -417,9 +417,5 @@
 #endif
 #if H_3D
-#if HHI_CAM_PARA_K0052
   pcPicCurr->setScaleOffset( m_cameraParameters->getCodedScale(), m_cameraParameters->getCodedOffset() );
-#else
-  pcPicCurr->setScaleOffset( m_aaiCodedScale, m_aaiCodedOffset );
-#endif
 #endif
 }
@@ -768,5 +764,5 @@
     m_cSPS.setSpsInferScalingListFlag   ( true ); 
     m_cSPS.setSpsScalingListRefLayerId( m_cVPS->getIdRefLayer( getLayerId(), 0 ) ); 
-#if SONY_MV_V_CONST_C0078
+#if H_MV
     if ( m_bUseDisparitySearchRangeRestriction )
     {
